org.apache.ivy.core.report

## Class DownloadStatus

- java.lang.Object
- - org.apache.ivy.core.report.DownloadStatus

    public final class DownloadStatus
    extends java.lang.Object

### Field Summary

Fields
`static DownloadStatus` `FAILED`
`static DownloadStatus` `NO` means that download was not required
`static DownloadStatus` `SUCCESSFUL`

### Method Summary

Methods
`static DownloadStatus` `fromString(java.lang.String status)` Returns the `DownloadStatus` corresponding to the given String representation.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NO

    public static final DownloadStatus NO

means that download was not required

#### SUCCESSFUL

    public static final DownloadStatus SUCCESSFUL

#### FAILED

    public static final DownloadStatus FAILED

### Method Detail

#### fromString

    public static final DownloadStatus fromString(java.lang.String status)

Returns the `DownloadStatus` corresponding to the given String representation.

Returns:
  the `DownloadStatus` corresponding to the given String representation.
Throws:
  `java.lang.IllegalArgumentException` - if the given String does not correspond to any `DownloadStatus`.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`